List all SKU change requests (internal only)
curl --request POST \
--url https://api.wirespeed.co/v1/team/sku-change-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"page": 123,
"filter": "<string>",
"search": "<string>",
"orderBy": "<string>",
"hideCancelled": true
}
'import requests
url = "https://api.wirespeed.co/v1/team/sku-change-requests"
payload = {
"size": 123,
"page": 123,
"filter": "<string>",
"search": "<string>",
"orderBy": "<string>",
"hideCancelled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
size: 123,
page: 123,
filter: '<string>',
search: '<string>',
orderBy: '<string>',
hideCancelled: true
})
};
fetch('https://api.wirespeed.co/v1/team/sku-change-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"teamId": "<string>",
"teamName": "<string>",
"requesterName": "<string>",
"requesterEmail": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"parentTeamName": "<string>",
"reviewerName": "<string>",
"reviewerEmail": "<string>",
"isTrial": true,
"skuStartDate": "<string>",
"skuEndDate": "<string>"
}
],
"totalCount": 123
}{
"message": "<string>",
"statusCode": 123
}Team
List all SKU change requests (internal only)
POST
/
v1
/
team
/
sku-change-requests
List all SKU change requests (internal only)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
open = pending; closed = accepted/denied/accepted_with_modifications/cancelled
Available options:
open, closed Available options:
asc, desc When true (default), cancelled requests are excluded from closed results
Update a SKU change request (cancel, accept, deny, or accept with modifications)Get pending SKU change request for a client team
⌘I

